Get statements
curl --request GET \
--url https://api.yume.cloud/v1/finances/statements/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yume.cloud/v1/finances/statements/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yume.cloud/v1/finances/statements/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"transaction": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"request_status": 123,
"method": 0,
"amount": "<string>",
"type": 123,
"comment": "<string>",
"created_by": 123,
"deposit": 123,
"sale": 123,
"workshop": 123,
"maintenance": 123,
"request": 123,
"account": 123,
"category": 123,
"status": "pending",
"extra": null
},
"inventory": {
"id": 123,
"name": "<string>",
"subleases": [
{
"id": 123,
"inventory": 123,
"user": 123,
"percent": "<string>",
"is_current": true,
"created_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
}
],
"car": {
"id": 123,
"type": "CAR",
"brand": "<string>",
"model": "<string>",
"number": "<string>",
"tech_passport": "<string>",
"serial": "<string>",
"vin": "<string>",
"extra": "<unknown>"
},
"group": 123,
"unique_id": "<string>",
"category": 123,
"image": "<string>",
"extra": "<unknown>",
"state": 123,
"disabled": 0,
"rental_point": 123
},
"method": 0,
"maintenance_resource": {
"id": 123,
"maintenance": 123,
"resource": {
"id": 123,
"name": "<string>",
"type": 0,
"price": "<string>",
"count": "<string>",
"count_left": "<string>"
},
"price": "<string>",
"amount": "<string>"
},
"images": [
{
"id": 123,
"thumb": "<string>",
"name": "<string>",
"extension": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"image": "<string>",
"type": "<string>"
}
],
"files": [
{
"id": 123,
"name": "<string>",
"extension": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"file": "<string>",
"type": "<string>"
}
],
"comments": [
{
"id": 123,
"body": "<string>",
"user": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"links": [
{
"content_type": "<string>",
"content_type_label": "<string>",
"object_id": 4611686018427388000,
"label": "<string>",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"context": null
}
],
"counterparty": 123,
"date": "2023-11-07T05:31:56Z"
}statements
Get statements
GET
/
v1
/
finances
/
statements
/
{id}
/
Get statements
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Ответ
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
0- Приход1- Расход
Доступные опции:
0, 1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes